*R_specify_missing_values.sps.
BEGIN PROGRAM R.
var1Spec <- c("var1","",0,"F8.2","scale")
var2Spec <- c("var2","",0,"F8.2","scale")
var3Spec <- c("var3","",0,"F8.2","scale")
var4Spec <- c("var4","",2,"A2","nominal")
dict <- spssdictionary.CreateSPSSDictionary(var1Spec,var2Spec,var3Spec,
                                            var4Spec)
spssdictionary.SetDictionaryToSPSS("newds",dict)
spssdictionary.SetUserMissing("newds","var1",missingFormat["Discrete"],
                              c(0,9,99))
spssdictionary.SetUserMissing("newds","var2",missingFormat["Range"],
                              c(9,99))
spssdictionary.SetUserMissing("newds","var3",missingFormat["Range Discrete"],
                              c(9,99,0))
spssdictionary.SetUserMissing("newds","var4",missingFormat["Discrete"],
                              c(" ","NA"))
spssdictionary.EndDataStep()
END PROGRAM.