*python_dataset_mergeds2.sps.
GET FILE='/examples/data/merge_study.sav'.
SORT CASES BY id date (D).
DATASET NAME study.
GET FILE='/examples/data/merge_patients.sav'.
DATASET NAME patients.
BEGIN PROGRAM.
import spss
spss.StartDataStep()
ds1 = spss.Dataset(name='patients')
ds1.varlist.append('bps_study')
ds1.varlist.append('bpd_study')
ds2 = spss.Dataset(name='study')  
id2vals = [item[0] for item in ds2.cases[0:len(ds2.cases),
                                         ds2.varlist['id'].index]]
for i in range(len(ds1.cases)):
   try:
      id1 = ds1.cases[i,ds1.varlist['id'].index][0]
      rownum=id2vals.index(id1[-ds2.varlist['id'].type:])
      ds1.cases[i,-2]=ds2.cases[rownum,ds2.varlist['sys'].index][0]
      ds1.cases[i,-1]=ds2.cases[rownum,ds2.varlist['dia'].index][0]
   except:
      pass
spss.EndDataStep()
END PROGRAM.
